Curve
Some methods and algorithms based on Curve class encapsulation
Tips
The following documentation only provides function prototypes, if you have any questions please check the Documentation
GetCrossPoints
Gets the intersections of the curve with the specified curve
RevitSugar.DB.CurveExtensions.GetCrossPoints(Autodesk.Revit.DB.Curve,Autodesk.Revit.DB.Curve)
GetIntersectPoints
Gets the intersection points between a set of curves.
RevitSugar.DB.CurveExtensions.GetIntersectPoints(System.Collections.Generic.IList<Autodesk.Revit.DB.Curve>)
IsPointOnCurve
Determines whether a given point is on a curve and the tolerance is the specified distance.
RevitSugar.DB.CurveExtensions.IsPointOnCurve(Autodesk.Revit.DB.Curve,Autodesk.Revit.DB.XYZ,System.Double)
IsPointProjectAtCurve
Determine whether the point is projected onto the curve.
RevitSugar.DB.CurveExtensions.IsPointProjectAtCurve(Autodesk.Revit.DB.Curve,Autodesk.Revit.DB.XYZ,System.Double)
IsCollinearWith
Determines whether the given curve is collinear with the target curve within the specified tolerance range.
RevitSugar.DB.CurveExtensions.IsCollinearWith(Autodesk.Revit.DB.Curve,Autodesk.Revit.DB.Curve,System.Double)
GetMiddlePoint
Gets the midpoint of the curve.
RevitSugar.DB.CurveExtensions.GetMiddlePoint(Autodesk.Revit.DB.Curve)
GetStartPoint
Gets the starting point of the curve
RevitSugar.DB.CurveExtensions.GetStartPoint(Autodesk.Revit.DB.Curve)
GetEndPoint
Gets the end of the curve
RevitSugar.DB.CurveExtensions.GetEndPoint(Autodesk.Revit.DB.Curve)
IsParalleWith (Arc)
Determine whether the two arcs are parallel.
RevitSugar.DB.CurveExtensions.IsParalleWith(Autodesk.Revit.DB.Arc,Autodesk.Revit.DB.Arc,System.Double)
IsParalleWith (Line)
Determine if the line is parallel to the target line
RevitSugar.DB.CurveExtensions.IsParalleWith(Autodesk.Revit.DB.Line,Autodesk.Revit.DB.Line)
IsParalleWith
Whether the two curves are parallel
RevitSugar.DB.CurveExtensions.IsParalleWith(Autodesk.Revit.DB.Curve,Autodesk.Revit.DB.Curve)
GetOutline
Get an Outline of the target curve
RevitSugar.DB.CurveExtensions.GetOutline(Autodesk.Revit.DB.Curve,System.Boolean)
GetLines
Gets a list of lines in a curve
RevitSugar.DB.CurveExtensions.GetLines(Autodesk.Revit.DB.Curve)
ContainsPoint
Whether a point is on a line
RevitSugar.DB.CurveExtensions.ContainsPoint(Autodesk.Revit.DB.Curve,Autodesk.Revit.DB.XYZ)
SortContiguousCurves
Sort ontiguous lines
RevitSugar.DB.CurveExtensions.SortContiguousCurves(System.Collections.Generic.IList<Autodesk.Revit.DB.Curve>)
GetLocationCurve
Gets the position line of the element
RevitSugar.DB.CurveExtensions.GetLocationCurve(Autodesk.Revit.DB.Element)
Flatten
Flatten the line to a certain height
RevitSugar.DB.CurveExtensions.Flatten(Autodesk.Revit.DB.Curve,System.Double)
OffsetVertical
Offset the curve by a certain height
RevitSugar.DB.CurveExtensions.OffsetVertical(Autodesk.Revit.DB.Curve,System.Double)